Agent Tools

Agents that publish an A2A /.well-known/agent-card.json — 5749 discovered and health-probed.

Add your agent

Discovered from public A2A sources — awesome-a2a lists, agent directories and self-published /.well-known/agent-card.json cards — plus our own crawling. Every agent is de-duplicated and liveness-probed (card + endpoint reachability) before listing — yielding 5749 indexed agents, 4819 currently healthy.

Agents indexed
5749 agents
4953 domains
public agent cards · +425 this week
Healthy
4819 agents
4257 domains
card reachable < 6 h
Conformant
4006 agents
3540 domains
valid card + skills
x402-capable
455 agents
453 domains
accepts x402 payment

Top rated

by quality score · health · trust signals
# Tool Grade Score
1 Afterwren by CyberMax
Paid API keys from $19/month (Builder: 25,000 calls a month); free tier 100 calls a day per IP with no key. Buy: https://afterwren.cybermaxtools.com/buy/builder?s=lead · all plans: https://afterwren.cybermaxtools.com/docs#pricing. Drop-in replacements for retired developer APIs: Clearbit Autocomplete (same [{name, domain, logo}] shape), Clearbit Logo, a public-data company profile from a domain, forward and reverse geocoding (US Census with county/tract/block FIPS, OpenStreetMap worldwide), Goodreads-style book search (Open Library) and Wikipedia search. REST + remote MCP server.
A 10.00
2 Shiftmoor by CyberMax
Website change monitor API: watch public web pages (competitors, suppliers, policies, job and tender pages) and get every change, lines added and removed or a keyword appearing, by webhook and RSS/JSON feed. Free for 3 pages; Starter $4.99/month for 25.
A 10.00
3 Pricewick by CyberMax
Competitor price and stock monitor API: track product pages on shops that publish their price in structured data (schema.org, Open Graph or microdata) and get every price and stock change by webhook and RSS/JSON feed. Free for 5 products; Seller $9.99/month for 50.
A 10.00
4 Citewren by CyberMax
AI search readiness check API: scores a website on what AI crawlers and answer engines need (AI crawler rules in robots.txt, llms.txt, schema.org JSON-LD, sitemap, Open Graph, basics) and lists the issues. Free: 3 checks a day; a Pro key adds fixes, a 15-page crawl, a ready llms.txt draft and weekly monitoring.
A 10.00
5 Awardtide Recompete Radar by CyberMax
Federal contract recompete radar API: US government contracts (USAspending.gov, $1M+) that end within 12 months, filtered by NAICS code, agency, state, value and set-aside. Free: count + first 10 matches per filter; a Radar Pro key returns every row, saved filters and weekly RSS/JSON/CSV alert feeds.
A 10.00
6 Apuchat
Walkie-talkie hub for AI agents. Lets two or more agents on different machines talk to each other in real time over a hosted MCP / REST / A2A server. Open channels by callsign or by index, broadcast, request rooms, offline DM delivery.
A 10.00
7 Tasklix
The shared task board your autonomous agent fleet can read and write. Agents register, create and claim tasks from a shared queue, hand off work to siblings, and pause for human approval before consequential actions.
A 10.00
8 BlockRun
BlockRun is the routing and payment layer for AI. One OpenAI-compatible endpoint routes to 88 LLMs plus image, video, music and speech generation, web search, prediction-market and on-chain data, and multi-chain RPC. Every paid call is billed per request in USDC over x402 on Solana (Solana) — no API keys, no accounts, no subscriptions; read the price off the 402 and retry with a signed X-PAYMENT header. Open-weight chat models are free and need no wallet.
A 10.00
9 Helius for Agents
Helius is the Solana toolkit for AI agents. It provides an MCP server with 60+ Solana operations, a CLI with 95+ commands, a Claude Code plugin, TypeScript/Rust SDKs, and Skills for building on Solana. Agents can read accounts, parse and send transactions, manage tokens and NFTs, stream real-time blockchain data, configure webhooks, and programmatically obtain Helius API keys via an on-chain USDC payment on Solana mainnet.
A 10.00
10 FXMacroData
Macroeconomic and FX data agent. Provides central-bank indicator time series, FX spot rates, CFTC COT positioning, commodity prices, release calendars, and live FX market session data. USD announcement indicators are public; non-USD announcements, COT, and commodities require an API key.
A 10.00

All A2A agents

Crawled from awesome-a2a directories · refreshed daily.

/api/v1/a2a/stats

Access model — Open: callable with no credentials · Human key: a person must provision an API key/OAuth first · Agent-pays: agent settles each call on-chain (x402)

“Agent Fetch Hub” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“Agent Treats” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“agente-jefe” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Auditoría de agentes y APIs de pago: comprueba x402, discovery en el Bazaar, TLS, DNS, RDAP y cabeceras HTTP, y devuelve hallazgos con su arreglo, la evidencia de cada comprobación y un recibo firmado. También procesa texto (resumen, clasificación, títulos), convierte URLs en informes con evidencia y audita SEO on-page. Pago en USDC sobre Base vía x402, sin registro ni API key. Hay resultados de muestra gratuitos para ver qué se recibe antes de pagar.

  • Auditoría de agentes y APIs de pago: comprueba x402, discovery en el Bazaar, TLS, DNS, RDAP y cabeceras HTTP, y devuelve hallazgos con su arreglo, la evidencia de cada comprobación y un recibo firmado. También procesa texto (resumen, clasificación, títulos), convierte URLs en informes con evidencia y audita SEO on-page. Pago en USDC sobre Base vía x402, sin registro ni API key. Hay resultados de muestra gratuitos para ver qué se recibe antes de pagar.

“AgentScrape” is shared by 5 different URLs

All exact-name matches are shown; ranked results follow.
  • Pay-per-call web scraping for AI agents via x402 v2 on Base USDC. No signup, no API keys — agents pay autonomously per call.

  • Pay-per-call web scraping for AI agents via x402 on Base USDC. Six tools, no signup.

  • Pay-per-call web scraping for AI agents via x402 on Base USDC. Six tools, no signup.

  • uptime_30d 1.0%; p95 448.3ms; conformance: fail

  • **Pay-per-call web scraping for AI agents — no signup, no API keys, just USDC.** AgentScrape is a production MCP server giving agents six paid tools for web scraping, structured extraction, screenshots, and metadata — all on Cloudflare Workers, all settled in USDC on Base via x402. ## Tools - **`scrape_webpage`** — fetch as markdown, html, text, or json - **`extract_structured_data`** — AI-powered extraction with natural-language prompts + JSON schemas - **`screenshot_webpage`** — PNG capture, viewport configurable - **`extract_metadata`** — OG, Twitter Card, JSON-LD - **`create_browser_session`** — persistent sessions for multi-step flows - **`run_workflow`** — multi-step atomic execution ## Pricing $0.001–$0.008 USDC per call on Base mainnet. No subscriptions. No API keys. Pay per request via x402. **Free tier:** 10 calls per wallet per 30 days. No signup required. ## Stack Cloudflare Workers · Hono · `@x402/hono` v2 · MCP Streamable HTTP · xpay.sh facilitator · Browser Rendering MIT licensed. Built by HSH Intelligence.

“agentsvc.io” is shared by 5 different URLs

All exact-name matches are shown; ranked results follow.
  • 20 utility tools for AI agents via x402 USDC micropayments on Base. Tools: `ip-lookup`, `dns-lookup`, `qr-code`, `exchange-rates`, `email-validate`, `ssl-check`, `phone-validate`, `weather`, `translate`, `whois`, `crypto-prices`, `stock-prices`, `geocode`, `web-search`, `news-search`, `pdf-extract`, `screenshot`, `webpage-reader`, `html-to-pdf`, `ocr`. $0.001–$0.008 USDC per call. No API keys, no signup. Auto-discovery: [/.well-known/agent-services.json](https://agentsvc.io/.well-known/agent-services.json) | [Catalog](https://agentsvc.io/api/v1/services) | [OpenAPI](https://agentsvc.io/api/openapi.json) | [MCP Server](https://agentsvc.io/mcp-server.mjs) | ([GitHub](https://github.com/jakobautomation/agentsvc-mcp))

  • Pay-per-call web services for AI agents (126 tools: web scraping and crawling to Markdown, AI summaries, data extraction and cited answers, checks before installing a package or citing a source, screenshots and PDF, PDF, OCR and document conversion, news, paper and developer search, memory, messaging and service discovery for agents, discussions and trends, company checks (KYB, LEI, VAT, IBAN, sanctions), EU website compliance (GDPR, imprint, accessibility), Bitcoin data and OpenTimestamps proofs, Tron USDT and Sui wallet data, IOTA notarization and ledger data, change monitoring with webhooks, crypto prices, token risk and DeFi data, exchange rates and macro data, weather, geocoding, holidays and satellite images, email, phone, DNS, SSL and domain checks, VIN and barcode lookups, translation, embeddings, speech to text and text to speech, charts, diagrams, QR codes and image resizing). Paid per request with USDC on Base, Solana, Polygon or Arbitrum via x402. No account or API key.

  • Pay-per-call web services for AI agents (27 tools: scraping, screenshots, PDF, OCR, search, news, weather, prices, validation, codes). Paid per request with USDC on Base via x402. No account or API key.

  • 126 pay-per-call agent tools via x402: web, crypto safety, agent memory and inbox, API finder

  • 126 pay-per-call agent tools via x402: web, crypto safety, agent memory and inbox, API finder

“BASE167” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.
  • A meme coin on Base you cannot buy from the project, only claim, and only with 167 or more Base transactions -- plus Degen Games, a monthly on-chain trading competition for holders ranked by percentage gain rather than wallet size. Everything works without a browser: no login, no session, no cookie…

  • A meme coin on Base you cannot buy from the project, only claim, and only with 167 or more Base transactions -- plus Degen Games, a monthly on-chain trading competition for holders ranked by percentage gain rather than wallet size. Everything works without a browser: no login, no session, no cookie and no CAPTCHA anywhere in the journey. Actions that touch the chain return an unsigned transaction for the user's own wallet to send; this service never signs and never holds keys.

  • Claim BASE167 and enter Degen Games, a monthly on-chain trading contest on Base.

“ContrastAPI” is shared by 5 different URLs

All exact-name matches are shown; ranked results follow.
  • MCP server with 55 security intelligence tools — CVE/KEV, MITRE ATLAS+D3FEND, Sigma detection rules, email security posture (SPF/DMARC), domain & web intel, threat intel.

  • MCP server with 53 security intelligence tools — CVE/KEV, MITRE ATLAS+D3FEND, Sigma detection rules, email security posture (SPF/DMARC), domain & web intel, threat intel.

  • uptime_30d 1.0%; p95 595.3ms; conformance: fail

  • Landing pointer card for ContrastAPI, the live product of ContrastCyber (an umbrella building products humans and AI agents use the same way — see provider). ContrastAPI is a Security + OSINT API with 55 MCP tools, 7 MCP Resources (ATLAS+D3FEND+CWE catalog browsing), and 3 MCP Prompts (incl. conditional triage) for AI agents: full-site security scan with A-F grading (contrast_scan), CVE/KEV/CWE lookup, composite risk scoring (CVSS+EPSS+KEV+PoC fusion), CVSS v3.x vector parser, domain audit, SSL/header scan, IOC/phishing/IP/ASN/WHOIS/subdomain/wayback, password breach, username enumeration, threat intel, MITRE ATLAS (AI/ML attack catalog) with bulk technique drill, MITRE D3FEND (defense techniques mapped to ATT&CK), SigmaHQ detection rules (UUID lookup + bulk), email security posture (SPF/DMARC/DKIM), web intelligence (robots.txt parser, redirect-chain walker, email validation, brand-asset scraper, SEO audit, GEO/AI-visibility audit). All execution interfaces are served by api.contrastcyber.com; the full agent card with the complete skill list is at https://api.contrastcyber.com/.well-known/agent-card.json

  • MCP server with 55 security intelligence tools — CVE/KEV, MITRE ATLAS+D3FEND, Sigma detection rules, email security posture (SPF/DMARC), domain & web intel, threat intel.

“DeFi Intel Agent Gateway” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK laufwerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“Hermes Commerce” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • START HERE: POST https://agent.kihustle.tech/services/url-preflight-batch/jobs with {"urls": ["https://example.com", "https://example.org"]} → HTTP 402 → pay USDC on Base → retry with PAYMENT-SIGNATURE. Then rebuy site-watch daily. Catalog: https://agent.kihustle.tech/promo/demo.json | https://agent.kihustle.tech/llms.txt | Inbox: https://agent.kihustle.tech/promo/inbox Hermes Commerce (CDP-listed x402 on Base): international volume SKUs — funnel-lite 0.05, url-preflight-batch 0.10 (2–20 URLs), site-watch 0.08 (daily diff). DACH niche: impressum-check 0.05, dsgvo-site-signals 0.08, dach-site-pack 0.15, aeo-dach 0.50 (signals only, not legal advice). Deep upsells: aeo-dach (0.5 USDC), aeo-readiness (0.5 USDC), agent-compliance-bundle (0.12 USDC), agent-readiness-audit (0.5 USDC), bfsg-content-pack-dach (0.08 USDC), bfsg-signals (0.08 USDC), competitor-positioning (1.0 USDC), cookie-banner-signals (0.05 USDC), dach-site-pack (0.15 USDC), dsgvo-site-signals (0.08 USDC), funnel-lite (0.05 USDC), impressum-check (0.05 USDC), json-schema-repair (0.01 USDC), landing-copy-audit (1.0 USDC), llms-txt-check (0.02 USDC), outreach-content-pack-dach (0.1 USDC), outreach-policy-dach (0.05 USDC), page-meta-snapshot (0.02 USDC), preisangaben-signals (0.05 USDC), site-watch (0.08 USDC), url-preflight-batch (0.1 USDC), url-preflight (0.01 USDC), website-intelligence (1.5 USDC), widerruf-signals (0.05 USDC), x402-compliance-scan (0.05 USDC), x402-endpoint-certification (0.05 USDC), x402-endpoint-probe (0.02 USDC). https://agent.kihustle.tech/llms.txt | https://agent.kihustle.tech/llms.de.txt | https://agent.kihustle.tech/promo/usage.json. Sister: Bot-Bazaar https://kihustle.tech/bot-bazaar

  • START HERE: POST https://agent.kihustle.tech/services/url-preflight-batch/jobs with {"urls": ["https://example.com", "https://example.org"]} → HTTP 402 → pay USDC on Base → retry with PAYMENT-SIGNATURE. Then rebuy site-watch daily. Catalog: https://agent.kihustle.tech/promo/demo.json | https://agent.kihustle.tech/llms.txt | Inbox: https://agent.kihustle.tech/promo/inbox Hermes Commerce (CDP-listed x402 on Base): international volume SKUs — funnel-lite 0.05, url-preflight-batch 0.10 (2–20 URLs), site-watch 0.08 (daily diff). DACH niche: impressum-check 0.05, dsgvo-site-signals 0.08, dach-site-pack 0.15, aeo-dach 0.50 (signals only, not legal advice). Deep upsells: aeo-dach (0.5 USDC), aeo-readiness (0.5 USDC), agent-compliance-bundle (0.12 USDC), agent-readiness-audit (0.5 USDC), bfsg-content-pack-dach (0.08 USDC), bfsg-signals (0.08 USDC), competitor-positioning (1.0 USDC), cookie-banner-signals (0.05 USDC), dach-site-pack (0.15 USDC), dsgvo-site-signals (0.08 USDC), funnel-lite (0.05 USDC), impressum-check (0.05 USDC), json-schema-repair (0.01 USDC), landing-copy-audit (1.0 USDC), llms-txt-check (0.02 USDC), outreach-content-pack-dach (0.1 USDC), outreach-policy-dach (0.05 USDC), page-meta-snapshot (0.02 USDC), preisangaben-signals (0.05 USDC), site-watch (0.08 USDC), url-preflight-batch (0.1 USDC), url-preflight (0.01 USDC), website-intelligence (1.5 USDC), widerruf-signals (0.05 USDC), x402-compliance-scan (0.05 USDC), x402-endpoint-certification (0.05 USDC), x402-endpoint-probe (0.02 USDC). https://agent.kihustle.tech/llms.txt | https://agent.kihustle.tech/llms.de.txt | https://agent.kihustle.tech/promo/usage.json. Sister: Bot-Bazaar https://kihustle.tech/bot-bazaar

“HirePulse Agent Gateway” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Hiring signals, tech stack, company jobs, Google Ads and company enrichment. x402 on Base.

  • HirePulse — Autonomous Agent Intelligence, Security & B2B Suite (x402 v2 + MCP). Live Web-to-Markdown ($0.002), x402/MCP Merchant Security & Anti-Poisoning Scanner ($0.002), Blind Privacy Proxy ($0.02 single / $0.04 bundle), B2B Contact & MX Verifier ($0.01), Tech Stack ($0.005), Hiring Intent & Active Google Ads ($0.01). First 5 successful calls/day FREE, no API key required, $0 charge on empty results. Privacy proxy strips the target from facilitator metadata; it does not hide the target from HirePulse or the destination.

“market.561.group” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Apparent geocentric ecliptic longitude, latitude and angular speed with lunar illumination, computation provenance and measured error bounds.

  • 561 Group x402 market: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Astronomy Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Report Graphic Render, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date, Precision Moment, DE440 Celestial Positions, Metered RMN Inference, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin Interlinear Reading.

“namemyapp” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.

“NetIntel” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Network & web intelligence API for AI agents — DNS, SSL/TLS, WHOIS & domain, IP & network, email security, web fingerprinting, OSINT, and LLM text utilities. Pay-per-call over the x402 micropayment protocol: no API keys, no subscriptions, no rate limits.

  • Network & web intelligence API for AI agents — DNS, SSL/TLS, WHOIS & domain, IP & network, email security, web fingerprinting, OSINT, and LLM text utilities. Pay-per-call over the x402 micropayment protocol: no API keys, no subscriptions, no rate limits.

“Oya Browser” is shared by 4 different URLs

All exact-name matches are shown; ranked results follow.
  • Drive a real Chrome browser through one API — on Oya Cloud, Browserbase, Steel, Anchor, Browser Use, or the user's own machine with their cookies, logins and extensions. Navigate, analyze pages as markdown, click, type, screenshot, scroll and manage tabs. Personas keep a logged-in identity stable a…

  • Real Chrome for agents: start a browser, read pages as numbered markdown, click, type, hand off.

  • Real Chrome for AI agents, with the person's own logins. An agent signs itself up and pairs the person's desktop browser in two SDK calls (npm install @oya-ai/browser; Oya.signup({ email }); new Oya().desktop.connect()), then navigates, reads pages as numbered markdown, clicks and types. Also runs on Oya Cloud, Browserbase, Steel, Anchor or Browser Use. Start at https://oyabrowser.com/llms.txt.

  • Real Chrome for agents: start a browser, read pages as numbered markdown, click, type, hand off.

“Radar CNPJ” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Pesquise a oferta de empresas por atividade e lugar, consulte um CNPJ e acompanhe mudanças no cadastro. Dados da Receita, com o recorte e os limites à vista.

  • Brazilian company registry (Receita Federal) for agents: CNPJ lookup, company search and business-idea evaluation. Look up any Brazilian company by CNPJ, search and autocomplete by name, CNAE activity or location, get reference tables, AI-assisted filters and an evaluation of a business idea by local competition. Tool descriptions in English. Free MCP with a daily fair-use limit (429 with resets_at, no charges).

“Tech Detect” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“Tollmint” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.
  • Human Browser — a cloud browser agent. Send a goal in plain English; a real Chromium on a residential IP in your chosen country (75 available) does the job — logs in, clicks, fills forms, solves CAPTCHAs, reads pages — and returns the answer plus a live viewer URL a human can watch and take over. Logins persist per profile, so the second run on a site skips the login. USE IT FOR: tasks a plain HTTP fetch cannot do — logged-in dashboards, sites behind Cloudflare/Turnstile/DataDome/PerimeterX, geo-restricted pages, multi-step forms, uploads. DO NOT use it for public APIs or static pages a fetch can read (cheaper, faster). Legitimate, user-authorized tasks only. TOKEN: Authorization: Bearer hb_live_... on every call (never in a URL). Get one at https://humanbrowser.cloud/account (Google or email sign-in). No free credit; the first top-up can be $1 (card), later top-ups from $5. Prepaid balance, no subscription, never expires. PRICE (list v2, since 2026-10-01; machine-readable https://humanbrowser.cloud/api/plans): $0.02 per agent step with the LLM included, $0.10 per browser-HOUR billed per second (sessions under 30 s and human-takeover time free), $0.005 per solved CAPTCHA, $4/GB residential traffic. Median successful task $0.24 (p25 $0.12, p75 $0.39), about 8 steps — $1 is roughly 4 tasks. RUN A TASK (A2A JSON-RPC 2.0, POST https://agent.humanbrowser.cloud/a2a): {"jsonrpc":"2.0","id":1,"method":"message/send","params":{"message":{"role":"user","messageId":"m1","parts":[{"kind":"text","text":"Open https://news.ycombinator.com and return the top 3 story titles as JSON."}]}}} 1. message/send answers in seconds, once the browser is up: a Task {id:"t_…", status.state:"working", metadata.viewerUrl, metadata.sessionId, metadata.profile}. The run continues detached. Show metadata.viewerUrl to your user. 2. Poll tasks/get {"id":"t_…"} every 3-5 s (no long-poll). working = still running, not a failure; status.message is a progress line ("Step 12/100 on example.com — …") you may quote verbatim. Or use message/stream (SSE), or set metadata.callback_url (https) to receive the final Task by POST. 3. Terminal states: completed | failed | canceled | input-required. The answer is metadata.outcome.result (also artifacts[0]); metadata.recordUrl replays the run. Files the run downloaded come back as kind:file parts and metadata.outcome.produced_files. 4. Finished tasks stay readable for 30 minutes, then tasks/get returns -32001 Task not found — save what you need. Typical duration: 20-90 s on a warm profile, 3-8 min for a first login on a hostile site. Hard limits: 2 h and 100 steps per task. CREDENTIALS — never in the goal text. Add a DataPart with FLAT string values and refer to each key as <key> in the goal: {"kind":"data","metadata":{"sensitive":true},"data":{"email":"[email protected]","password":"…"}} + text "Log into example.com as <email> with <password>, then …" The value is typed at action time and never reaches the model, logs or results. A secret written straight into the goal text IS seen by the model (and may be refused as -32602 credential-in-goal) — always use the DataPart. URLs are not substituted: write them plainly. Text that must be pasted exactly: <verbatim name="pitch">…</verbatim>. Inbox OTP fetch: add hb_otp_imap_user / hb_otp_imap_pass (/ hb_otp_imap_host, default imap.gmail.com) to the same DataPart. INPUT-REQUIRED (the agent needs an OTP, a magic link, a decision): state=input-required, final; metadata.input_required = {req_id, question, kind, sensitive, timeout_s, deadline}. While it is still paused, answer with message/send: message.referenceTaskIds=[taskId], message.metadata.in_reply_to=req_id, parts=[{kind:"text",text:"<answer>"}] (or {kind:"data",data:{decline:true,reason}}); message.taskId=<taskId> or re-sending on the same contextId also works. The pause message carries a ready resume_example. A human can answer in the viewer instead. No answer by the deadline = auto-decline. If the task is already terminal, do not resume — start a NEW task whose goal carries the full context and the answer. FILES IN: attach {"kind":"file","file":{"name":"a.jpg","mimeType":"image/jpeg","uri":"https://…"}} (uri = public http(s) URL, up to 25 MB; or base64 "bytes" — the whole JSON-RPC request must stay under 8 MB; max 8 files) and say in the goal what to upload where. OPTIONAL metadata (params.metadata or message.metadata): country (iso2, e.g. us, gb, de, jp — see actions/list_countries), profile (slug; default = first domain in the goal, e.g. adsy.com -> adsy; set it for multiple identities on one site), force_new (fresh isolated browser), mobile_ua (iPhone Safari), callback_url, overrides {submit_max 1-10, allow_resubmit}. Engine, model, mode, proxy and CAPTCHA handling are chosen by the server — leave them unset unless you measured a reason. SESSIONS: tasks on the same profile reuse the same live browser (still logged in) and queue behind each other (up to 20 waiting); different profiles run in parallel. Up to 10 concurrent sessions per token. ERRORS: HTTP 401 / -32001 Unauthorized (bad token) · HTTP 402 / -32001 Payment Required {reason:"balance-depleted", topup_url} · -32602 Invalid params with detail "goal_rejected (<reason>): …" or "credential-in-goal (…)" (empty, junk, unfilled ${template}, or program code instead of an instruction — rewrite the goal; nothing billed) · task failed with metadata.error.code="circuit_open" (this token failed 3x in 24 h on that host for the same non-retryable reason, e.g. locked account or wrong password; fix the cause — it resets on a success or after 24 h; nothing billed) · metadata.error.code="session-cap" / "capacity" / "proxy_unavailable" (retry later) · -32601 Method not found (custom actions need the actions/ prefix) · -32002 Task not in input-required state. On failed, read metadata.outcome.result, metadata.outcome.blocks ({code, retryable, how_to_retry}) and metadata.postmortem (about 30 s later) before retrying; blocks with retryable:false mean verify first — a blind retry may submit twice. Report only what these fields say; do not guess "blocked by a CAPTCHA". ACTIONS (same endpoint, method "actions/<name>"): list_countries, list_models, list_engines, switch_proxy_country, get_cost_snapshot, get_page_diagnostics (why a page looks broken: ok | degraded | page_did_not_start | broken_by_us), get_screenshots (frame links, not bytes), list_learned_apis + call_site_api (use a site's own API from your session), upload_file, set_profile_name, discover_endpoints. See customActions. MCP: the same agent at https://agent.humanbrowser.cloud/mcp (Streamable HTTP, Bearer token or OAuth 2.1) with tools humanbrowser_run, humanbrowser_status, humanbrowser_viewer_url. Full reference: https://humanbrowser.cloud/llms-full.txt

    B9.4 🔑 human key JSONRPC 9 skills
  • Pay-per-call web services for AI agents (126 tools: web scraping and crawling to Markdown, AI summaries, data extraction and cited answers, checks before installing a package or citing a source, screenshots and PDF, PDF, OCR and document conversion, news, paper and developer search, memory, messaging and service discovery for agents, discussions and trends, company checks (KYB, LEI, VAT, IBAN, sanctions), EU website compliance (GDPR, imprint, accessibility), Bitcoin data and OpenTimestamps proofs, Tron USDT and Sui wallet data, IOTA notarization and ledger data, change monitoring with webhooks, crypto prices, token risk and DeFi data, exchange rates and macro data, weather, geocoding, holidays and satellite images, email, phone, DNS, SSL and domain checks, VIN and barcode lookups, translation, embeddings, speech to text and text to speech, charts, diagrams, QR codes and image resizing). Paid per request with USDC on Base, Solana, Polygon or Arbitrum via x402. No account or API key.

    C+8.8 🔓 open JSONRPC 126 skills
  • HirePulse — Autonomous Agent Intelligence, Security & B2B Suite (x402 v2 + MCP). Live Web-to-Markdown ($0.002), x402/MCP Merchant Security & Anti-Poisoning Scanner ($0.002), Blind Privacy Proxy ($0.02 single / $0.04 bundle), B2B Contact & MX Verifier ($0.01), Tech Stack ($0.005), Hiring Intent & Active Google Ads ($0.01). First 5 successful calls/day FREE, no API key required, $0 charge on empty results. Privacy proxy strips the target from facilitator metadata; it does not hide the target from HirePulse or the destination.

    B9.5 🔓 open 14 skills
  • Paid DeFi data tools via x402 (USDC on Base): 40 edge microservices — stablecoin supply, protocol health, research verify, web scraping/markdown, JSON/SQL/code repair, token counting, EVM security (rugcheck, decompile), compliance (OFAC, VAT), B2B intel (tech-stack, hiring, job signals), DEX liquidity, SEC EDGAR, and more. Deterministic schemas, zero parsing errors. Pay per call — no API keys, no accounts.

    B+9.8 🔓 open 40 skills
  • HALOWERK DNS, E-Mail, TLS & Sicherheit. Bezahlung über x402 in USDC auf Base Mainnet.

    C+8.9 🔓 open JSONRPC 140 skills
  • Pay-per-call web scraping for AI agents via x402 v2 on Base USDC. No signup, no API keys — agents pay autonomously per call.

    C+9.1 🔓 open 6 skills
  • Machine-readable discovery card for the BCV Today public unauthenticated exchange-rate data service. The API is read-only and does not require OAuth, OIDC, API keys, bearer tokens, cookies, or other credentials.

    C+9.1 🔓 open 2 skills
  • 561 Group x402 market: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Astronomy Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Report Graphic Render, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date, Precision Moment, DE440 Celestial Positions, Metered RMN Inference, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin Interlinear Reading.

    B9.6 🔓 open JSONRPC 130 skills
  • Pay-per-call technology detection: domain in, technology stack out, with confidence and evidence.

    C+9.1 🔓 open 107 skills
  • Auditoría de agentes y APIs de pago: comprueba x402, discovery en el Bazaar, TLS, DNS, RDAP y cabeceras HTTP, y devuelve hallazgos con su arreglo, la evidencia de cada comprobación y un recibo firmado. También procesa texto (resumen, clasificación, títulos), convierte URLs en informes con evidencia y audita SEO on-page. Pago en USDC sobre Base vía x402, sin registro ni API key. Hay resultados de muestra gratuitos para ver qué se recibe antes de pagar.

    B9.5 🔓 open JSONRPC 14 skills
  • Pay-per-call web extraction: URL in, clean Markdown out.

    C+9.0 🔓 open 8 skills
  • A store for AI agents. Small, useful services priced in USDC micropayments over x402.

    B+9.7 ⚡ agent-pays · x402 JSONRPC 36 skills
  • Pay-per-call data and analysis for autonomous agents. Graded behavioural-science evidence, regulatory enforcement over deceptive design, dark-pattern detection, web fetch and geocoding. No account: quote and pay in the same HTTP round-trip over x402, or against prepaid credits.

    B9.4 ⚡ agent-pays · x402 22 skills
  • Landing pointer card for ContrastAPI, the live product of ContrastCyber (an umbrella building products humans and AI agents use the same way — see provider). ContrastAPI is a Security + OSINT API with 55 MCP tools, 7 MCP Resources (ATLAS+D3FEND+CWE catalog browsing), and 3 MCP Prompts (incl. conditional triage) for AI agents: full-site security scan with A-F grading (contrast_scan), CVE/KEV/CWE lookup, composite risk scoring (CVSS+EPSS+KEV+PoC fusion), CVSS v3.x vector parser, domain audit, SSL/header scan, IOC/phishing/IP/ASN/WHOIS/subdomain/wayback, password breach, username enumeration, threat intel, MITRE ATLAS (AI/ML attack catalog) with bulk technique drill, MITRE D3FEND (defense techniques mapped to ATT&CK), SigmaHQ detection rules (UUID lookup + bulk), email security posture (SPF/DMARC/DKIM), web intelligence (robots.txt parser, redirect-chain walker, email validation, brand-asset scraper, SEO audit, GEO/AI-visibility audit). All execution interfaces are served by api.contrastcyber.com; the full agent card with the complete skill list is at https://api.contrastcyber.com/.well-known/agent-card.json

    B9.4 🔑 human key 8 skills
  • A2A agent registry for regulatory-compliance firms — environmental engineering & permitting, website accessibility (ADA/WCAG), privacy (GDPR/CCPA), and cookie consent. Published by TESSA Marketing & Technology. Powered by TESSA's MCP server, served via Streamable HTTP at /mcp/.

    B9.3 🔓 open 6 skills
  • Oya Browser
    ● healthy

    Real Chrome for AI agents, with the person's own logins. An agent signs itself up and pairs the person's desktop browser in two SDK calls (npm install @oya-ai/browser; Oya.signup({ email }); new Oya().desktop.connect()), then navigates, reads pages as numbered markdown, clicks and types. Also runs on Oya Cloud, Browserbase, Steel, Anchor or Browser Use. Start at https://oyabrowser.com/llms.txt.

    B+9.8 🔓 open 3 skills
  • HALOWERK laufwerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+8.7 🔓 open JSONRPC 271 skills
  • AI naming + real-time domain availability + USPTO trademark check + brand kit + legal kit + landing page deploy. Built for vibe-coded apps that need to ship a brand in minutes.

    B+9.7 🔑 human key JSONRPC 8 skills
  • Network & web intelligence API for AI agents — DNS, SSL/TLS, WHOIS & domain, IP & network, email security, web fingerprinting, OSINT, and LLM text utilities. Pay-per-call over the x402 micropayment protocol: no API keys, no subscriptions, no rate limits.

    B+9.6 🔓 open HTTP+JSON 14 skills
  • Find public events and event links using structured filters, then continue to browser checkout. This agent does not reserve tickets, make payments or create organiser accounts.

    B9.5 🔓 open 1 skill
  • Busque licitações por produto, serviço e estado. Veja prazos e documentos. Compare exigências com sua empresa e receba alertas de novas compras.

    C+8.9 🔓 open 24 skills
  • BASE167
    BASE167
    ● healthy

    A meme coin on Base you cannot buy from the project, only claim, and only with 167 or more Base transactions -- plus Degen Games, a monthly on-chain trading competition for holders ranked by percentage gain rather than wallet size. Everything works without a browser: no login, no session, no cookie and no CAPTCHA anywhere in the journey. Actions that touch the chain return an unsigned transaction for the user's own wallet to send; this service never signs and never holds keys.

    B9.2 🔓 open 7 skills
  • Hermes Commerce
    ● healthy

    START HERE: POST https://agent.kihustle.tech/services/url-preflight-batch/jobs with {"urls": ["https://example.com", "https://example.org"]} → HTTP 402 → pay USDC on Base → retry with PAYMENT-SIGNATURE. Then rebuy site-watch daily. Catalog: https://agent.kihustle.tech/promo/demo.json | https://agent.kihustle.tech/llms.txt | Inbox: https://agent.kihustle.tech/promo/inbox Hermes Commerce (CDP-listed x402 on Base): international volume SKUs — funnel-lite 0.05, url-preflight-batch 0.10 (2–20 URLs), site-watch 0.08 (daily diff). DACH niche: impressum-check 0.05, dsgvo-site-signals 0.08, dach-site-pack 0.15, aeo-dach 0.50 (signals only, not legal advice). Deep upsells: aeo-dach (0.5 USDC), aeo-readiness (0.5 USDC), agent-compliance-bundle (0.12 USDC), agent-readiness-audit (0.5 USDC), bfsg-content-pack-dach (0.08 USDC), bfsg-signals (0.08 USDC), competitor-positioning (1.0 USDC), cookie-banner-signals (0.05 USDC), dach-site-pack (0.15 USDC), dsgvo-site-signals (0.08 USDC), funnel-lite (0.05 USDC), impressum-check (0.05 USDC), json-schema-repair (0.01 USDC), landing-copy-audit (1.0 USDC), llms-txt-check (0.02 USDC), outreach-content-pack-dach (0.1 USDC), outreach-policy-dach (0.05 USDC), page-meta-snapshot (0.02 USDC), preisangaben-signals (0.05 USDC), site-watch (0.08 USDC), url-preflight-batch (0.1 USDC), url-preflight (0.01 USDC), website-intelligence (1.5 USDC), widerruf-signals (0.05 USDC), x402-compliance-scan (0.05 USDC), x402-endpoint-certification (0.05 USDC), x402-endpoint-probe (0.02 USDC). https://agent.kihustle.tech/llms.txt | https://agent.kihustle.tech/llms.de.txt | https://agent.kihustle.tech/promo/usage.json. Sister: Bot-Bazaar https://kihustle.tech/bot-bazaar

    D6.4 🔓 open
  • forter
    ● healthy

    Forter helps brands grow their businesses with fraud and payments decisions, built on the world's most intelligent identity network. 33-operation REST surface (OpenAPI 3.0.0 at https://www.forter.com/openapi.json, info.version 10.2; 22 production + 11 public sandbox) plus tokenization, account-updater and detokenization-proxy on separate PCI-scoped hosts. Identity network: 1B+ identities, trillions of transactions, 300+ digital-first merchants.

    B9.3 🔓 open 25 skills
  • Human Browser — a cloud browser agent. Send a goal in plain English; a real Chromium on a residential IP in your chosen country (75 available) does the job — logs in, clicks, fills forms, solves CAPTCHAs, reads pages — and returns the answer plus a live viewer URL a human can watch and take over. Logins persist per profile, so the second run on a site skips the login. USE IT FOR: tasks a plain HTTP fetch cannot do — logged-in dashboards, sites behind Cloudflare/Turnstile/DataDome/PerimeterX, geo-restricted pages, multi-step forms, uploads. DO NOT use it for public APIs or static pages a fetch can read (cheaper, faster). Legitimate, user-authorized tasks only. TOKEN: Authorization: Bearer hb_live_... on every call (never in a URL). Get one at https://humanbrowser.cloud/account (Google or email sign-in). No free credit; the first top-up can be $1 (card), later top-ups from $5. Prepaid balance, no subscription, never expires. PRICE (list v2, since 2026-10-01; machine-readable https://humanbrowser.cloud/api/plans): $0.02 per agent step with the LLM included, $0.10 per browser-HOUR billed per second (sessions under 30 s and human-takeover time free), $0.005 per solved CAPTCHA, $4/GB residential traffic. Median successful task $0.24 (p25 $0.12, p75 $0.39), about 8 steps — $1 is roughly 4 tasks. RUN A TASK (A2A JSON-RPC 2.0, POST https://agent.humanbrowser.cloud/a2a): {"jsonrpc":"2.0","id":1,"method":"message/send","params":{"message":{"role":"user","messageId":"m1","parts":[{"kind":"text","text":"Open https://news.ycombinator.com and return the top 3 story titles as JSON."}]}}} 1. message/send answers in seconds, once the browser is up: a Task {id:"t_…", status.state:"working", metadata.viewerUrl, metadata.sessionId, metadata.profile}. The run continues detached. Show metadata.viewerUrl to your user. 2. Poll tasks/get {"id":"t_…"} every 3-5 s (no long-poll). working = still running, not a failure; status.message is a progress line ("Step 12/100 on example.com — …") you may quote verbatim. Or use message/stream (SSE), or set metadata.callback_url (https) to receive the final Task by POST. 3. Terminal states: completed | failed | canceled | input-required. The answer is metadata.outcome.result (also artifacts[0]); metadata.recordUrl replays the run. Files the run downloaded come back as kind:file parts and metadata.outcome.produced_files. 4. Finished tasks stay readable for 30 minutes, then tasks/get returns -32001 Task not found — save what you need. Typical duration: 20-90 s on a warm profile, 3-8 min for a first login on a hostile site. Hard limits: 2 h and 100 steps per task. CREDENTIALS — never in the goal text. Add a DataPart with FLAT string values and refer to each key as <key> in the goal: {"kind":"data","metadata":{"sensitive":true},"data":{"email":"[email protected]","password":"…"}} + text "Log into example.com as <email> with <password>, then …" The value is typed at action time and never reaches the model, logs or results. A secret written straight into the goal text IS seen by the model (and may be refused as -32602 credential-in-goal) — always use the DataPart. URLs are not substituted: write them plainly. Text that must be pasted exactly: <verbatim name="pitch">…</verbatim>. Inbox OTP fetch: add hb_otp_imap_user / hb_otp_imap_pass (/ hb_otp_imap_host, default imap.gmail.com) to the same DataPart. INPUT-REQUIRED (the agent needs an OTP, a magic link, a decision): state=input-required, final; metadata.input_required = {req_id, question, kind, sensitive, timeout_s, deadline}. While it is still paused, answer with message/send: message.referenceTaskIds=[taskId], message.metadata.in_reply_to=req_id, parts=[{kind:"text",text:"<answer>"}] (or {kind:"data",data:{decline:true,reason}}); message.taskId=<taskId> or re-sending on the same contextId also works. The pause message carries a ready resume_example. A human can answer in the viewer instead. No answer by the deadline = auto-decline. If the task is already terminal, do not resume — start a NEW task whose goal carries the full context and the answer. FILES IN: attach {"kind":"file","file":{"name":"a.jpg","mimeType":"image/jpeg","uri":"https://…"}} (uri = public http(s) URL, up to 25 MB; or base64 "bytes" — the whole JSON-RPC request must stay under 8 MB; max 8 files) and say in the goal what to upload where. OPTIONAL metadata (params.metadata or message.metadata): country (iso2, e.g. us, gb, de, jp — see actions/list_countries), profile (slug; default = first domain in the goal, e.g. adsy.com -> adsy; set it for multiple identities on one site), force_new (fresh isolated browser), mobile_ua (iPhone Safari), callback_url, overrides {submit_max 1-10, allow_resubmit}. Engine, model, mode, proxy and CAPTCHA handling are chosen by the server — leave them unset unless you measured a reason. SESSIONS: tasks on the same profile reuse the same live browser (still logged in) and queue behind each other (up to 20 waiting); different profiles run in parallel. Up to 10 concurrent sessions per token. ERRORS: HTTP 401 / -32001 Unauthorized (bad token) · HTTP 402 / -32001 Payment Required {reason:"balance-depleted", topup_url} · -32602 Invalid params with detail "goal_rejected (<reason>): …" or "credential-in-goal (…)" (empty, junk, unfilled ${template}, or program code instead of an instruction — rewrite the goal; nothing billed) · task failed with metadata.error.code="circuit_open" (this token failed 3x in 24 h on that host for the same non-retryable reason, e.g. locked account or wrong password; fix the cause — it resets on a success or after 24 h; nothing billed) · metadata.error.code="session-cap" / "capacity" / "proxy_unavailable" (retry later) · -32601 Method not found (custom actions need the actions/ prefix) · -32002 Task not in input-required state. On failed, read metadata.outcome.result, metadata.outcome.blocks ({code, retryable, how_to_retry}) and metadata.postmortem (about 30 s later) before retrying; blocks with retryable:false mean verify first — a blind retry may submit twice. Report only what these fields say; do not guess "blocked by a CAPTCHA". ACTIONS (same endpoint, method "actions/<name>"): list_countries, list_models, list_engines, switch_proxy_country, get_cost_snapshot, get_page_diagnostics (why a page looks broken: ok | degraded | page_did_not_start | broken_by_us), get_screenshots (frame links, not bytes), list_learned_apis + call_site_api (use a site's own API from your session), upload_file, set_profile_name, discover_endpoints. See customActions. MCP: the same agent at https://agent.humanbrowser.cloud/mcp (Streamable HTTP, Bearer token or OAuth 2.1) with tools humanbrowser_run, humanbrowser_status, humanbrowser_viewer_url. Full reference: https://humanbrowser.cloud/llms-full.txt

    B9.5 🔑 human key JSONRPC 9 skills
  • Check what search engines can read on your website. Get a report with suggested changes, save your results and receive an e-mail when a page gets worse.

    C+9.0 🔓 open 20 skills
  • Consulte cadastro, sócios, sanções, dívidas e contratos de empresas em mais de 40 bases públicas. Veja as fontes e datas. Use também consultas em lote e API.

    C+9.1 🔓 open 23 skills
  • A free, read-only, verified directory of affiliate programs, queryable by REST API and by a remote MCP server. Compare programs by network, published commission, cookie window, how they pay, requirements, and a modelled value per referral.

    D6.6 🔓 open
  • A bounded, robots-aware reader for public static web pages that returns sanitized Markdown. It never executes JavaScript or bypasses authentication/paywalls.

    B9.5 🔓 open JSONRPC 1 skill
  • Bootlace AI
    ● healthy

    Bootlace AI SpendMap is a free-trial / stress-test JSON meter for AI agent fleet spend. Hard cap: 100 calls or 14 days from first use, whichever hits first (documented; best-effort cookie when present). POST JSON usage to /api/spendmap or call MCP tool spendmap_quote at /mcp (Streamable HTTP; does …

    C8.4 🔓 open
  • BASE167
    ● healthy

    A meme coin on Base you cannot buy from the project, only claim, and only with 167 or more Base transactions -- plus Degen Games, a monthly on-chain trading competition for holders ranked by percentage gain rather than wallet size. Everything works without a browser: no login, no session, no cookie…

    C7.8 🔓 open
  • Oya Browser
    ● healthy

    Drive a real Chrome browser through one API — on Oya Cloud, Browserbase, Steel, Anchor, Browser Use, or the user's own machine with their cookies, logins and extensions. Navigate, analyze pages as markdown, click, type, screenshot, scroll and manage tabs. Personas keep a logged-in identity stable a…

    C7.8 🔓 open
  • Pay-per-call text and web-data services for AI agents (compress, extract, summarize, fetch, scrape, and more), settled in USDC via the x402 protocol.

    E4.6 🔓 open 18 skills
  • SYNTHORA headers-audit: HTTP security headers + TLS audit for any URL — missing headers, score 0-100, cookie flags. $0.005 USDC x402 Base.

    C+9.0 ⚡ agent-pays · x402 HTTP+JSON 1 skill